apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: dev.hvgblog.hu
  namespace: hvg-dev
spec:
  project: default
  source:
    repoURL: 'ssh://git@ssh.github.com:443/hvg-dev/blog.git'
    path: k8s/manifests/app
    targetRevision: HEAD
    helm:
      releaseName: hvgblog-dev-wp
      parameters: []
      valueFiles: []
  destination:
    server: 'https://hvgblog-vcluster.hvg.hu'
    namespace: dev
  ignoreDifferences: []
  syncPolicy:
    automated:
      prune: true
      selfHeal: false
    syncOptions:
    - CreateNamespace=true
